# Dummyhttp kustomize application

This application deploys a container that runs an instance of the [dummyhttp](https://github.com/svenstaro/dummyhttp)
application that returns a string that uses environment variables added to the container from a `ConfigMap` and a
`Secret`.

The container image is built from a generic
[Dockerfile](https://forgejo.mixinet.net/oci/images/src/tag/dummyhttp-v1.0.0/dummyhttp/Dockerfile) that runs the
application directly, but we have modified the arguments on the `Deployment` to be able to use environment variables on
the arguments to the server (we use `/bin/sh -c` as entrypoint and the command uses `eval` to expand the environment
variables when calling the application).

The base application includes a `Deployment`, a `Service` and an `Ingress` definition; the `Deployment` uses environment
variables from a `ConfigMap` and a `Secret` if they are available, but we've marked them as optional to be able to
deploy the application without having them available.
